DEBUGREISERFS(8)

NOM
debugreiserfs - Déboguer un système de fichiers ReiserFS

SYNOPSIS
debugreiserfs [ -dDJmoqpuSV ] [ -j périphérique ] [ -B fichier ] [ -1 N ] périphérique

DESCRIPTION
debugreiserfs peut parfois aider à résoudre les problèmes des systèmes de fichiers reiserfs. Exécuté sans options, il affiche le superbloc du système de fichiers ReiserFS trouvé sur le périphérique.

périphérique
    fichier spécial correspondant au périphérique (par exemple /dev/hdXX, correspondant à une partition d'un disque IDE ou /dev/sdXX pour celle d'un disque SCSI).

OPTIONS

-j périphérique
    affiche le contenu du journal. Utilisée conjointement avec l'option -p, cette option permet d'enregistrer dans l'archive le journal en même temps que les autres méta-données.

-J  affiche l'en-tête du journal.

-d  affiche les nœuds formatés de l'arbre interne du système de fichiers.

-D  affiche les nœuds formatés de tous les blocs utilisés du système de fichiers.

-m  affiche le contenu du bitmap (peu utile).

-o  affiche la carte des identifiants d'objets (peu utile).

-B fichier
    prend la liste des blocs défectueux stockée dans l'arbre interne de ReiserFS et la traduit en une liste au format ascii dans le fichier indiqué.

-1 numéro-de-bloc
    affiche le bloc spécifié du système de fichiers.

-p  Vous pouvez extraire les métadonnées du système de fichiers avec « debugreiserfs -p /dev/xxx | gzip -c > xxx.gz ». Aucune de vos données ne se trouveront pas dans l'archive à moins qu'une corruption du système de fichiers soit présente quand le bloc corrompu est empaqueté. Vous pouvez nous envoyer cette sortie et nous pourrons alors les utiliser, pour créer un système de fichiers avec la même structure que le votre, avec debugreiserfs -u. Quand le fichier de données n'est pas trop gros, cela permet d'ordinaire de reproduire et de résoudre rapidement le problème.

-u  construire l'image du système de fichiers ReiserFS avec « gunzip -c xxx.gz | debugreiserfs -u /dev/image » à partir d'une archive de métadonnées créée à l'aide de debugreiserfs -p. L'image résultante n'est pas identique au système de fichiers d'origine, principalement parce que seules les métadonnées sont enregistrées avec debugreiserfs -p, mais la structure du système de fichiers est complètement reconstruite.

-S  Quand -S n'est pas spécifié, -p n'affiche que les blocs marqués comme utilisés dans le bitmap du système de fichiers. Si -S est spécifié, -p debugreiserfs opérera sur l'ensemble du périphérique.

-q  Désactive l'affichage de la vitesse de progression quand l'option -p est utilisée.

AUTEUR
Cette version de debugreiserfs a été écrite par Vitaly Fertman <vitaly@namesys.com>.

BOGUES
Veuillez envoyer vos rapports de bogue aux développeurs ReiserFS <reiserfs-devel@vger.kernel.org>, en fournissant autant d'informations que possibles : le matériel, le noyau, les patches, la configuration, tous les messages affichés ; vérifiez si le fichier syslog contient des informations qui sembles liées.

VOIR AUSSI
reiserfsck(8), mkreiserfs(8)

TRADUCTION
La traduction française de cette page de manuel a été créée par Guillaume Bour, Nicolas François <nicolas.francois@centraliens.net> et David Prévot <david@tilapin.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.